#pragma once

#include "resource.h"
#include "apl_gui.h"
#include "afxwin.h"

// CFindAdjustClassifDlg dialog

class CFindAdjustClassifDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CFindAdjustClassifDlg)

public:
	CFindAdjustClassifDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CFindAdjustClassifDlg();

	CaplAPI *m_api;
	ElValClass* m_el;
	bool m_read_only;
	CaplInstance* m_classif;

// Dialog Data
	enum { IDD = IDD_FIND_ADJUST_CLASSIF };
	CaplButton	m_BtnOk;
	CaplButton	m_BtnCancel;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtnSelectClassif();
	virtual BOOL OnInitDialog();
	CComboBox m_CtrlExist;
	CButton m_BtnSelect;
	CString m_Name;
	afx_msg void OnBnClickedOk();
};
